<?php

class App {

	public function concederAcesso(EquipamentoInterface $equipamento, $mac, $tempoAutorizado = 60, $tipoMetodoAutorizacao = 0) {
		return $equipamento->concederAcesso($mac, $tempoAutorizado, $tipoMetodoAutorizacao);
	}

	public function dispararSMS(SMSInterface $sms, $destinatario, $mensagem, $remetente = '', $data = '') {
		return $sms->send_sms($destinatario, $mensagem, $remetente, $data);
	}

	public function autenticar(CodigoAcessoInterface $acesso, array $dadosAutenticacao, $tipoMetodoAutenticacao = 0) {
		return $acesso->autenticar($dadosAutenticacao, $tipoMetodoAutenticacao);
	}

	public function gerarCodigoAcesso(CodigoAcessoInterface $acesso) {
		return $acesso->gerarCodigoAcesso();
	}

	public function getTempoAcessoLiberado(CodigoAcessoInterface $acesso) {
		return $acesso->getTempoAcessoLiberado();
	}

  	public function temCodigoAcesso(CodigoAcessoInterface $acesso, array $keys) {
    	return $acesso->temCodigoAcesso($keys);
	}

	public function recuperarCodigoAcesso(CodigoAcessoInterface $acesso, array $keys, $tipoMetodoRecuperacaoCodigoAcesso = 0) {
		return $acesso->recuperarCodigoAcesso($keys, $tipoMetodoRecuperacaoCodigoAcesso);
	}

    public function redirecionar($url, $tempo=1) {
        sleep($tempo);
        header("Location: {$url}");
        exit;
    }

}
