<?php

/*
|---------------------------------------------------------------------------
| Configuracao do PHP-AR para acesso ao banco de dados
|---------------------------------------------------------------------------
| @todo encapsular/anexar dados do equipamento no array proprio vendor
|
*/

ActiveRecord\Config::initialize(function($cfg)
{
    $cfg->set_model_directory('models');
    $cfg->set_connections(array('development' => 'mysql://cidadaoconectado:projetoWG0@localhost/portal?charset=utf8'));
});


/* dados do equipamento e do SMS */
$conf = [];
$conf['equipamento'] = [];
$conf['sms'] = 'TorpedusSMS'; // solucao SMS a ser utilizada. Ex.: BrasilFoneSMS, TorpedusSMS, ...

/* config for each vendor */
$vendor = array();
$vendor['sms'] = array(
					'BrasilFoneSMS' => array(
											'username' => 'voip',
											'password'  => 'sms@wgo2016',
											'endereco' => 'http://200.155.77.115/vbs/api/api.php',
											'remetente' => '6481251169',
										),
					'TorpedusSMS' => array(
											'username' => '8310',
											'password'  => 'CSMStor3dusX1',
											'endereco' => 'http://torpedus.com.br/sms/index.php?',
											'remetente' => '',
										),
				);

$conf['vendor'] = $vendor; // atribui o vendor ao array de configuracoes'

$conf['equipamento']['username'] = 'unifi';
$conf['equipamento']['password'] = 'teste1@wgo';
$conf['equipamento']['url'] = 'https://189.38.32.153:8443'; /* No caso do UniFi, essa URL eh a URL de acesso via UniFi Controller */
$conf['equipamento']['siteName'] = 'default'; /* No caso do UniFi, nome do site onde estao os APs para liberar o acesso */

/* configuracoes gerais */
$conf['general'] = [];
$conf['general'] = [
					'tipo_metodo_autenticacao' => 2, // (0 -> autenticacao simples, 1 -> autenticacao com limite por nro de autenticacoes, 2 -> autenticacao com limite por tempo)
                    'url_default' => 'welcome.php',
                    //'url_default' => 'http://189.38.32.155/guest/s/default/welcome',
					'tempo_acesso_liberado' => 120, // tempo em minutos
					'tempo_redirecionamento' => 4, // tempo em segundos
					'periodicity' => 'D', // periodicidade no caso de autenticacao com limite (D|M|W|Y)
					'max_number_auth' => 1, // numero maximo de autenticacoes de acordo com periodicidade (no caso de autenticacao com limite por nro de autenticacoes)
					];
