<?php

/*
|--------------------------------------------------------------------------------
| welcome.php
|--------------------------------------------------------------------------------
| exibe a mensagem de boas-vindas quando a autenticacao eh realizada com sucesso
|
*/

session_start();
require_once __DIR__ . '/vendor/autoload.php';

if(! isset($_SESSION['mac'])) { // usuario chegou nessa pagina diretamente sem passar pelo UniFi
    //include('acesso_direto.php');
    header('Location: http://www.google.com.br/');
    exit;
}

?>
<!DOCTYPE html>
<html lang="pt_br">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="refresh" content="5;URL='http://www.google.com.br/'" />
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <title>Catalão Conectado</title>

    <!-- Bootstrap -->
    <link href="css/bootstrap.min.css" rel="stylesheet">
    <link href="css/bootstrap-theme.css" rel="stylesheet">

    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
      <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
    <![endif]-->
  </head>
  <body>
    <div class="geral container">
      <header>
        <div class="col-md-6 col-sm-6 col-xs-6">
          <a href="http://www.catalao.go.gov.br/" target="_blank"> <img class="img-responsive pull-left"  src="images/logo_projeto.png"></a>
        </div>
        <div class="col-md-6 col-sm-6 col-xs-6 text-right">
          <a href="http://www.catalao.go.gov.br/" target="_blank"> <img class="img-responsive pull-right" src="images/logo.png"></a>
        </div>
        <div class="col-md-12 col-sm-12 col-xs-12">
         <h3 class="text-center text-slogan"><em>Catalão Conectado</em>, <BR>nossa <em>NOVA INCLUSÃO DIGITAL</em></h3>
        </div>
      </header>
      <div class="content">
        <br />
        <div class="col-md-12 col-sm-12 col-xs-12">
        <p></p>
         <div class="alert alert-success">
            <p>Autenticação realizada com sucesso. Por favor, aguarde o redirecionamento ou continue com a navegação!</p>
          </div>
        </div>
      </div> <!-- end content -->
       <footer style="clear:both">
        <div class="col-md-6 col-sm-6 col-xs-6">
          <br />
          <br />
          <br />
          <div class="col-md-2 col-sm-6 col-xs-6">
            <a href="http://www.wgo.com.br" target="_blank"><img class="pull-left img-responsive" src="images/logo_wifi.png"></a>
          </div>
          <div class="col-md-3 col-sm-6 col-xs-6">
            <a href="http://www.catalao.go.gov.br/" target="_blank"><img class="pull-left img-responsive" src="images/logo_small.png"></a>
          </div>
        </div>
        <br />
        <br />
        <div class="col-md-6 col-sm-6 col-xs-3">
          <a href="http://www.wgo.com.br" target="_blank"><img class="pull-right img-responsive" src="images/logo_wgo.png"></a>
        </div>
      </footer>
    </div> <!-- end container -->
    <!-- jQuery (necessary for Bootstrap's JavaScript plugins) -->
    <script src="js/jquery.min.js"></script>
    <!-- Include all compiled plugins (below), or include individual files as needed -->
    <script src="js/bootstrap.min.js"></script>
    <script type="text/javascript">
        setTimeout(function() {
            window.location.href = 'http://www.google.com.br/';
        }, 5000);
    </script>
  </body>
</html>
